Status: Resolved Priority: Should have
Author: Steffen Müller Category:
Created: 2013-10-30 Assigned To:
Updated: 2014-03-06 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Flow 2.0.0
Subject: Throw exception if PackageStates.php is not writeable
Description

The Package Manager writes package states to PackageStates.php file using
file_put_contents()
together with the error control operator @ to suppress errors.

This leads to unpredictable behavior when PackageStates.php file is not writeable.

I suggest to verify if the file is writable and otherwise throw an exception.

TYPO3 CMS team has already a draft at https://review.typo3.org/#/c/24975/ - would you please comment there or here, since we aim
to streamline with upstream Flow.

Related issues:
related to Core - Bug # 53077: Installation/uninstallation silently fails if ... Resolved 2013-10-23

Associated revisions
Revision 17819268 - 2014-03-06 22:20 - Wouter Wolters

[BUFGIX] Throw exception if PackageStates.php is not writeable

Change-Id: I6dbe4f52bb13bfeb893a88c0e235a1cdcf2cf441
Fixes: #53238
Releases: master, 2.1

Revision 8c2d221b - 2014-03-06 22:20 - Wouter Wolters

[BUFGIX] Throw exception if PackageStates.php is not writeable

Change-Id: I6dbe4f52bb13bfeb893a88c0e235a1cdcf2cf441
Fixes: #53238
Releases: master, 2.1

History
#1 - 2013-11-01 19:32 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
http://forge.typo3.org/projects/package-typo3-flow/repository/revisions/master/entry/Classes/TYPO3/Flow/Package/PackageManager.php#L930
https://review.typo3.org/#/c/24975/


It is available at https://review.typo3.org/25120

#2 - 2013-11-01 19:32 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/25120

#3 - 2014-02-24 13:25 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/25120

#4 - 2014-03-06 22:20 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/25120

#5 - 2014-03-06 22:20 - Gerrit Code Review

Patch set 1 for branch 2.1 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/28122

#6 - 2014-03-06 22:36 - Wouter Wolters
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1781926870db735f5b32db6b9fe0199a6f4e99e6.
